package com.sunyard.chsm.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sunyard.chsm.dto.KeyInfoDTO;

import java.util.List;

/**
 * @author liulu
 * @since 2024/10/23
 */
public interface KeyInfoService {

    Page<KeyInfoDTO.View> selectPageList(KeyInfoDTO.Query query);

    Long save(KeyInfoDTO.Save save);

    void update(KeyInfoDTO.Update update);

    byte[] backupKey(KeyInfoDTO.Backup backup);

    void enableKey(List<Long> ids);

    void disableKey(List<Long> ids);

    void archiveKey(List<Long> ids);

    void recoveryKey(List<Long> ids);

    void destroyKey(List<Long> ids);
}
